<template>
  <div>
    <el-table
      :data="list"
      style="width: 100%"
      size="mini"
      border>
      <el-table-column
        prop="billno"
        label="单据编号"
        width="180">
      </el-table-column>
      <el-table-column
        prop="source"
        label="来源"
        width="180">
      </el-table-column>
      <el-table-column
        prop="amount"
        label="金额">
      </el-table-column>
      <el-table-column
        prop="remarks"
        label="备注">
      </el-table-column>
    </el-table>
  </div>
</template>

<script>
export default {
  props:['data'],
  data () {
    return {
      list:[],
      total:0,
      currentPage:0
    }
  },
  methods:{
    async listData () {
      const res = await this.$api.requested({
        "id": 20230221193203,
        "content": {
          "sa_orderid":this.data.sa_orderid
        }
      })
      this.list = res.data
      this.total = res.total
      this.currentPage = res.pageNumber
    },
    handleSizeChange(val) {
      // console.log(`每页 ${val} 条`);
      this.params.content.pageSize = val
      this.listData()
    },
    handleCurrentChange(val) {
      // console.log(`当前页: ${val}`);
      this.params.content.pageNumber = val
      this.listData()
    },
  },
  mounted () {
    this.listData()
  }
}

</script>
<style>
</style>